###########################################################################
#
# win32 makefile -- txt2db
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the
# University of Waikato, New Zealand.
#
# Copyright (C) 1999  The New Zealand Digital Library Project
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################

GSDLHOME = ..\..
USE_STLPORT = 0
STLPATH = "$(GSDLHOME)\packages\windows\stlport\stlport"

AR = lib
CC = cl
CPPFLAGS = 
LDFLAGS =

DEFS = -D__WIN32__ -DHAVE_CONFIG_H
INCLUDES = -I"$(GSDLHOME)\src\txt2db" -I"$(GSDLHOME)\lib" -I"$(GSDLHOME)\packages\mg\lib" \
	   -I"$(GSDLHOME)\packages\windows\gdbm\gdbm"
!IF $(USE_STLPORT)
DEFS=$(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
INCLUDES = $(INCLUDES) -I$(STLPATH)
!ENDIF

LIBS = "$(GSDLHOME)\packages\mg\lib\unitool.obj" "$(GSDLHOME)\lib\gsdllib.lib" \
       "$(GSDLHOME)\packages\windows\gdbm\gdbm\gdbm.lib"

COMPILE = $(CC) -c -GX $(DEFS) $(INCLUDES)
LINK = $(CC) $(LDFLAGS)

.SUFFIXES:
.SUFFIXES: .cpp .obj
.cpp.obj:
	$(COMPILE) $<

ANSI2KNR = 
o = .obj
e = .exe
 
HEADERS = 

SOURCES = txt2db.cpp

OBJECTS = txt2db$o

EXEC = txt2db$e
 
all : $(EXEC)

install: $(EXEC)
	if NOT EXIST "$(GSDLHOME)\bin\windows" mkdir "$(GSDLHOME)\bin\windows"
	copy $(EXEC) "$(GSDLHOME)\bin\windows"

clean:
	del *.obj
	del $(EXEC)

txt2db$e: $(OBJECTS) $(LIBS)
	  $(LINK) $(OBJECTS) $(LIBS)
